"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const root_scene_1 = require("./../components/root-scene");
const testing_1 = require("./../testing");
const data = { foo: 'bar' };
beforeEach(() => {
    testing_1.ElementTest.reset();
});
it('push/get/clear a template in caches', () => {
    root_scene_1.RootScene.templatesManager.pushToCached('test', data);
    expect(root_scene_1.RootScene.templatesManager.getFromCached('test')).toEqual(data);
    root_scene_1.RootScene.templatesManager.reset();
    expect(() => root_scene_1.RootScene.templatesManager.getFromCached('test')).toThrowError();
});
//# sourceMappingURL=templates-manager.spec.js.map