"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("./../testing");
const echo_1 = require("./echo/echo");
beforeEach(() => {
    testing_1.ElementTest.reset();
    jest.resetModules();
});
test('element.ignoreError', async () => {
    const echo = testing_1.ElementTest.create(echo_1.Echo);
    await echo.init({
        ignoreError: true,
        content: '${abc}'
    });
    await echo.exec();
    expect(echo.error.message).toBeDefined();
});
//# sourceMappingURL=element-builder.spec.js.map