import { Element } from './components/element.interface';
import { RootScene } from './components/root-scene';
import { Logger } from './libs/logger';
export declare class ElementTest {
    static rootScene: RootScene;
    static reset(): void;
    static create<T extends Element>(ElementClazz: new (...args: any[]) => T, ...args: any[]): T;
    static get globalVars(): {
        [key: string]: any;
    };
    static get vars(): {
        [key: string]: any;
    };
    static getLogger(): Logger;
}
